[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| XYZ2LabFunctor Class Template Reference |
--- | --- | ---

Convert standardized tri-stimulus XYZ into perceptual uniform CIE L*a*b*. More...

`#include "vigra/colorconversions.hxx"`

## Public Types

typedef NumericTraits< T >::RealPromote | component_type
typedef TinyVector< T, 3 > | argument_type
typedef TinyVector< component_type, 3 > | result_type
typedef TinyVector< component_type, 3 > | value_type

## Public Methods

template<class V> result_type | operator() (V const &xyz) const

## Detailed Description

### template<class T>
class vigra::XYZ2LabFunctor< T >

Convert standardized tri-stimulus XYZ into perceptual uniform CIE L*a*b*.

#include "vigra/colorconversions.hxx"
Namespace: vigra

The functor realizes the transformation

where is the reference white point. represents the lighness ("brightness") of the color, and code the chromaticity.

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)``

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

| the functor's argument type

typedef NumericTraits<T>::RealPromote component_type

| the result's component type

typedef TinyVector<component_type, 3> result_type

| the functor's result type

typedef TinyVector<component_type, 3> value_type

Deprecated:
  use argument_type and result_type

## Member Function Documentation

result_type operator() | ( | V const & | xyz | ) | const`[inline]`

| apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)